Bug 1297391 - 'Next' button enabled without selecting a Lifecycle Environment in step 1C with manual publishing of updates selected
'Next' button enabled without selecting a Lifecycle Environment in step 1C wi...
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: jmagen@redhat.com
Dave Johnson
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 07:01 EST by Antonin Pagac
Modified: 2016-04-29 12:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonin Pagac 2016-01-11 07:01:36 EST
Description of problem:
The Next button is enabled in step 1C of a deployment without selecting a Lifecycle Environment. No Lifecycle Environment is highlighted in blue color, all are white. Updates have 'After manually publishing them' selected.
I'm able to continue to next step, unsure what Lifecycle Environment does the deployment use.

Version-Release number of selected component (if applicable):
RHCI-6.0-RHEL-7-20160107.t.1-RHCI-x86_64-dvd1.iso

How reproducible:
Always

Steps to Reproduce:
1. Create a new deployment, proceed to step 1C.
2. Select 'New Environment Path', create a new path, submit
3. The 'Next' button is automatically highlighted, click on it
4. In the next step, choose 'Cancel' and 'Exit and Delete'
5. Create another deployment, proceed to step 1C
6. The 'Next' button is enabled while no Environment Path is selected.

Actual results:
The 'Next' button is enabled while no Environment Path is selected

Expected results:
The 'Next' button should be grayed out when no Environment Path is selected

Additional info:
Comment 1 jmagen@redhat.com 2016-01-13 09:40:27 EST
I see the problem. I'll assign this to me, John.
Comment 2 jmagen@redhat.com 2016-01-14 04:48:36 EST
fixed
https://github.com/fusor/fusor/pull/623
Comment 3 Antonin Pagac 2016-01-15 05:48:34 EST
Verified.

RHCI-6.0-RHEL-7-20160114.t.0-RHCI-x86_64-dvd1.iso

Note You need to log in before you can comment on or make changes to this bug.